.root {
  composes: section from global;

  color: var(--color-dark);
  background-color: var(--color-white);
}

.container {
  composes: container from global;

  display: grid;
  justify-items: start;
  grid-template-areas: 
    "title"
    "hr"
    "list";
}

.title {
  composes: heading-3 from global;

  grid-area: title;
  margin: 0;
  color: inherit;
}

.hr-wrapper {
  grid-area: hr;
  margin: 24px 0;
}

/* List */
.list > ul {
  display: grid;
  grid-area: list;
}

/* List Title */
.list > ul > li h3 {
  grid-area: subtitle;
  margin-bottom: 10px;
}

/* List Figure Icon */
.list > ul > li::after {
  grid-area: icon;
  left: -30px;
}

/* Sublist */
.list ul ul {
  grid-area: sublist;
  padding-left: 20px;
  list-style-type: none;
}

/* Sublist Item */
.list ul ul li {
  position: relative;
}

/* Sublist Markers */
.list ul ul li::before {
  content: "";
  position: absolute;
  top: 8px;
  left: -20px;
  width: 8px;
  height: 8px;
  border: 2px solid var(--color-dark);
  border-radius: 50%;
}

@media (min-width: 768px) {
  .title {
    margin-bottom: 10px;
  }

  .hr-wrapper {
    margin: 28px 0;
  }

  .list > ul {
    grid-template-columns: 1fr 1fr;
  }
}

@media (min-width: 992px) {
  .title {
    margin-bottom: 20px;
  }

  .hr-wrapper {
    margin: 32px 0;
  }
}

@media (min-width: 1200px) {
  .container {
    display: grid;
    grid-template-areas: 
      "title title"
      "hr list";
    grid-template-columns: 240px 1fr;
  }

  .title {
    margin-bottom: 30px;
  }

  .hr-wrapper {
    margin: 36px 0;
  }
}

@media (min-width: 1400px) {
  .title {
    margin-bottom: 40px;
  }

  .hr-wrapper {
    margin: 40px 0;
  }

  .list > ul > li {
    display: grid;
    grid-template-columns: 120px 1fr;
    grid-template-rows: auto 1fr;
    grid-template-areas: 
      "icon subtitle"
      "icon sublist";
    column-gap: 30px;
  }
}

@media (min-width: 1600px) {
  .hr-wrapper {
    margin: 46px 0;
  }
}
